Page MenuHomePhabricator

Setup CI for WikidataQuality
Closed, ResolvedPublic1 Estimate Story Points

Details

Related Gerrit Patches:
integration/config : masterFix phpunit groups for WikidataQuality
integration/config : masterDisable jobs for WikidataQuality (only in experimental)
mediawiki/extensions/Wikibase : wmf/1.26wmf4Make config script more robust.
mediawiki/extensions/Wikibase : masterMake config script more robust.
integration/config : masterAdded job for WikidataQuality extension.

Event Timeline

Tobi_WMDE_SW assigned this task to JanZerebecki.
Tobi_WMDE_SW raised the priority of this task from to High.
Tobi_WMDE_SW updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2015, 1:24 PM
Tobi_WMDE_SW set Security to None.Apr 29 2015, 1:26 PM
Tobi_WMDE_SW added a subscriber: Tamslo.
This comment was removed by Tobi_WMDE_SW.
Tamslo moved this task from Backlog to TODO on the Wikibase-Quality board.Apr 29 2015, 3:50 PM

Change 210117 had a related patch set uploaded (by JanZerebecki):
Make config script more robust.

https://gerrit.wikimedia.org/r/210117

Change 210093 had a related patch set uploaded (by JanZerebecki):
Correct the UnitTestsList hook

https://gerrit.wikimedia.org/r/210093

Change 206392 had a related patch set uploaded (by JanZerebecki):
Added job for WikidataQuality extension.

https://gerrit.wikimedia.org/r/206392

Change 210117 merged by jenkins-bot:
Make config script more robust.

https://gerrit.wikimedia.org/r/210117

HHVM phpunit jobs created as non-voting until T95864#1277648 is solved.

Change 206392 merged by jenkins-bot:
Added job for WikidataQuality extension.

https://gerrit.wikimedia.org/r/206392

JanZerebecki closed this task as Resolved.May 12 2015, 3:43 PM
JanZerebecki moved this task from Review to Done on the Wikidata-Sprint-2015-05-05 board.

Setup is done and deployed. Now the necessary changes in WikidataQuality to make all the jobs pass need to be made.

Change 210673 had a related patch set uploaded (by Aude):
Make config script more robust.

https://gerrit.wikimedia.org/r/210673

Change 210673 merged by jenkins-bot:
Make config script more robust.

https://gerrit.wikimedia.org/r/210673

Tobi_WMDE_SW edited a custom field.May 25 2015, 11:11 AM

Change 216974 had a related patch set uploaded (by Hashar):
Disable jobs for WikidataQuality (only in experimental)

https://gerrit.wikimedia.org/r/216974

hashar reopened this task as Open.Jun 9 2015, 2:00 PM
hashar added a subscriber: hashar.

I have disabled the jobs because they are not passing passing at all. They can still be triggered by commenting check experimental though. See https://gerrit.wikimedia.org/r/#/c/216974/

Change 216974 abandoned by Hashar:
Disable jobs for WikidataQuality (only in experimental)

Reason:
Lets fix them instead

https://gerrit.wikimedia.org/r/216974

Change 217484 had a related patch set uploaded (by Hashar):
Fix phpunit groups for WikidataQuality

https://gerrit.wikimedia.org/r/217484

Change 217484 merged by jenkins-bot:
Fix phpunit groups for WikidataQuality

https://gerrit.wikimedia.org/r/217484

JanZerebecki closed this task as Resolved.Jun 17 2015, 2:31 PM
JanZerebecki moved this task from TODO to DONE on the Wikibase-Quality board.
hashar reopened this task as Open.Jun 17 2015, 8:09 PM

From https://gerrit.wikimedia.org/r/#/c/218842/ seems two jobs are passing now:

mwext-WikidataQuality-repo-tests-sqlite-hhvm SUCCESS in 1m 37s (non-voting)
mwext-WikidataQuality-repo-tests-mysql-hhvm SUCCESS in 1m 51s (non-voting)

Should we make them voting?

The npm job still fails due to a bunch of jshint issues. Should be easily to fix :-)

JanZerebecki closed this task as Resolved.Jun 17 2015, 8:56 PM